description

# ZLibDecoder class Null safety

The ZLibDecoder is used by ZLibCodec and GZipCodec to decompress data.

Inheritance
  - Object
  - StreamTransformerBase<List<int>, List<int>>
  - Converter<List<int>, List<int>>
  - ZLibDecoder

## Constructors

ZLibDecoder({int windowBits: ZLibOption.defaultWindowBits, List<int>? dictionary, bool raw: false})

## Properties

dictionary → List<int>?
  Initial compression dictionary. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
raw → bool
  When true, deflate generates raw data with no zlib header or trailer, and will not compute an adler32 check value
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
windowBits → int
  Base two logarithm of the window size (the size of the history buffer). It should be in the range `8..15`. Larger values result in better compression at the expense of memory usage. The default value is `15`.
  final

## Methods

bind(Stream<List<int>> stream) → Stream<List<int>>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
convert(List<int> bytes) → List<int>
  Convert a list of bytes using the options given to the ZLibDecoder constructor.
  override
fuse<TT>(Converter<List<int>, TT> other) → Converter<List<int>, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
startChunkedConversion(Sink<List<int>> sink) → ByteConversionSink
  Start a chunked conversion. While it accepts any Sink taking List<int>'s, the optimal sink to be passed as `sink` is a ByteConversionSink.
  override
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited